Page 1 of 2 12 LastLast
Results 1 to 10 of 16

Thread: Skype doesn't work in 11.3

  1. #1

    Default Skype doesn't work in 11.3

    Skype does not work in Suse 11.3. When i start in an terminal, i'm getting this error:

    skype: error while loading shared libraries: libQtGui.so.4: cannot open shared object file: No such file or directory
    I looked for that library but didn't find it in the repositories. Any ideas?

    PS. Running Smeegol on Samsung N150

  2. #2
    Join Date
    Sep 2008
    Location
    London
    Posts
    47

    Default Re: Skype doesn't work in 11.3

    Look for libqt4-x11

  3. #3
    Join Date
    Sep 2008
    Location
    Dubai
    Posts
    1,770

    Default Re: Skype doesn't work in 11.3

    Skype is a 32bit application. So, on 64bit installation, you have to install the corresponding 32bit libs when it complains.
    openSUSE 12.3 (x86_64) with Kernel 3.7.10-1.16-desktop and KDE 4.11.2 on MacBook Pro
    Latest MS Windows version used: Win95

  4. #4

    Default Re: Skype doesn't work in 11.3

    Quote Originally Posted by bzidler View Post
    Look for libqt4-x11
    Thanks for the quick reply. When i'm back on the netbook, i'll try and report.

  5. #5

    Default Re: Skype doesn't work in 11.3

    That's a point i don' t understand really: I thought i had an x86 installation since the processor is an Atom 450 (or so) . . . Thanks anyway for replying.

  6. #6
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,581

    Default Re: Skype doesn't work in 11.3

    That is still a 64 bit processor so it all depends on if you installed the 64bit or 32 bit version of OpenSuse. My Computer should tell you what version you have.

    Open Yast->Software Management and search for libQtGui there sould be a version with 32 in the name. install that.

  7. #7
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,490
    Blog Entries
    37

    Default Re: Skype doesn't work in 11.3

    I recommend you install your skype from this repository (and NOT from the Skype web site):
    Code:
    http://download.opensuse.org/repositories/home:/broumbroum23/openSUSE_11.3_NonFree_standard/
    ... simply add that repos. Install Skype with zypper (replace any version you had previous). Then remove that repository.

    My 84+ year old mother (almost 85 years old) uses Skype on openSUSE-11.3 , so if she can sort it, I'm confident you can come to grips with it also.

  8. #8
    Join Date
    Mar 2009
    Location
    sri mayapur, west bengal, india
    Posts
    958

    Default Re: Skype doesn't work in 11.3

    On Wed, 15 Dec 2010 22:36:02 +0530, gogalthorp
    <gogalthorp@no-mx.forums.opensuse.org> wrote:

    >
    > That is still a 64 bit processor so it all depends on if you installed
    > the 64bit or 32 bit version of OpenSuse. My Computer should tell you
    > what version you have.


    or "uname -p" on a command line.

    > Open Yast->Software Management and search for libQtGui there sould be
    > a version with 32 in the name. install that.


    your (OP) installation is probably x86_64, but skype exists only as a
    32bit app. for many libraries, 32bit compatibility versions can be
    installed on x86_64 systems, so that 32bit apps can run. that isn't done
    by default, and you'll have to install these compat. libs explicitly,
    easiest with yast.


    --
    phani.

  9. #9
    Join Date
    Nov 2009
    Location
    Sulzbach/Ts., Germany
    Posts
    399

    Default Re: Skype doesn't work in 11.3

    Am 15.12.2010 18:36, schrieb oldcpu:
    >
    > I recommend you install your skype from this repository (and NOT from
    > the Skype web site):
    >
    > Code:
    > --------------------
    > http://download.opensuse.org/reposit...Free_standard/
    > --------------------
    >
    >
    > ... simply add that repos. Install Skype with zypper (replace any
    > version you had previous). Then remove that repository.
    >
    > My 84+ year old mother (almost 85 years old) uses Skype on
    > openSUSE-11.3 , so if she can sort it, I'm confident you can come to
    > grips with it also.
    >
    >


    That's still using skype 2.1.0.47 from august 2009:
    http://blogs.skype.com/garage/2009/0...for_linux.html

    Latest available is 2.1.0.81 from January.
    See http://developer.skype.com/LinuxSkype for changelog.
    I'd suggest to use the latest version.

    I'll see if the latest skype can be added.
    Files are already in the OBS, seems the packager forgot to change the
    version tag in the specfile...

    --
    openSUSE official member
    LXDE team

  10. #10

    Default Re: Skype doesn't work in 11.3

    Quote Originally Posted by bzidler View Post
    Look for libqt4-x11
    Thanks! That was it - Skype now is working

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •